<html>
<head>
<title>Ogre::StaticGeometry::LODBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::StaticGeometry::LODBucket Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::StaticGeometry::LODBucket" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD.  
 <a href="classOgre_1_1StaticGeometry_1_1LODBucket.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::StaticGeometry::LODBucket:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1StaticGeometry_1_1LODBucket__inherit__graph.gif" border="0" usemap="#Ogre_1_1StaticGeometry_1_1LODBucket_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1StaticGeometry_1_1LODBucket_inherit__map" id="Ogre_1_1StaticGeometry_1_1LODBucket_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="40,5,195,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1StaticGeometry_1_1LODBucket-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket_1_1LODShadowRenderable.html">LODShadowRenderable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Nested class to allow shadows.  <a href="classOgre_1_1StaticGeometry_1_1LODBucket_1_1LODShadowRenderable.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">MaterialBucket</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ac1da705bda5533f46474fe7204ca3d4b">MaterialBucketMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region.  <a href="#ac1da705bda5533f46474fe7204ca3d4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ac1da705bda5533f46474fe7204ca3d4b">MaterialBucketMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a6240319f801ee4f58cacb9ceccd9496b">MaterialIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Iterator over the materials in this LOD.  <a href="#a6240319f801ee4f58cacb9ceccd9496b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a00df9c6ca5b6a3f21ff63731a543197f">LODBucket</a> (<a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *parent, unsigned short lod, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodValue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a0214a1aba4c2f4c14b27ad5ef6a9c559">~LODBucket</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a5d7eea966adea0bb4f256150e124931b">getParent</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aba243a0af2f306b9181b573dcb3967a1">getLod</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the lod index.  <a href="#aba243a0af2f306b9181b573dcb3967a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a01b79e06b618e1ee5714ca6adba1b63b">getLodValue</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the lod value.  <a href="#a01b79e06b618e1ee5714ca6adba1b63b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a491d98e5031fc4db2bcb77e9c6aa3460">assign</a> (<a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *qsm, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> atLod)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign a queued submesh to this bucket, using specified mesh LOD.  <a href="#a491d98e5031fc4db2bcb77e9c6aa3460"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ab686c556b75f53c03cd554bd90b632c2">build</a> (bool stencilShadows)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build.  <a href="#ab686c556b75f53c03cd554bd90b632c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a6244525eff9b19029642e262a1cee216">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add children to the render queue.  <a href="#a6244525eff9b19029642e262a1cee216"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a6240319f801ee4f58cacb9ceccd9496b">MaterialIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ab772c6af3bb6cf79a5f6bb3bb3d84aaa">getMaterialIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the materials in this LOD.  <a href="#ab772c6af3bb6cf79a5f6bb3bb3d84aaa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ae19ddefa8cc12cf219b3bb88b56a31f6">dump</a> (std::ofstream &amp;of) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#ae19ddefa8cc12cf219b3bb88b56a31f6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#abb4929bf76d5e7a3b70297cf74965aaf">visitRenderables</a> (<a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *visitor, bool debugRenderables)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ab45cd4f193f45a114378adf3359138e3">getEdgeList</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowCaster::ShadowRenderableList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a8b8a962888427686590d90ff63ee07be">getShadowRenderableList</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a0621be1b35bd74da279dc4a3548d73ea">isVertexProgramInUse</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aaf19418c37e762826a196a255d74933e">updateShadowRenderables</a> (<a class="el" href="group__General.html#ga79dcd426d291c31072c1ad6f183715d6">ShadowTechnique</a> shadowTechnique, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;lightPos, <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> *indexBuffer, bool extrudeVertices, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> extrusionDistance, unsigned long flags=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a03f9b9248ff57644c60dc0b4682d293c">mParent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to parent region.  <a href="#a03f9b9248ff57644c60dc0b4682d293c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a67e09710f5418970c58ed89a027a488f">mLod</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">LOD level (0 == full LOD)  <a href="#a67e09710f5418970c58ed89a027a488f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aadd49d1bdc9d7a193d4064e19338214f">mLodValue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">lod value at which this LOD starts to apply (squared)  <a href="#aadd49d1bdc9d7a193d4064e19338214f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ac1da705bda5533f46474fe7204ca3d4b">MaterialBucketMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#af65f1afc96fc9ed08484f19e9ae3f609">mMaterialBucketMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region.  <a href="#af65f1afc96fc9ed08484f19e9ae3f609"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry.html#a99b5977877244a32f98d5156e4f3e8ca">QueuedGeometryList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a01726fd1d7aae9f58c14207a9a0d827c">mQueuedGeometryList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Geometry queued for a single LOD (deallocated here)  <a href="#a01726fd1d7aae9f58c14207a9a0d827c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a714e97920e3fd74f71fd4386bb130072">mEdgeList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Edge list, used if stencil shadow casting is enabled.  <a href="#a714e97920e3fd74f71fd4386bb130072"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a0d96bf6fa75da0c123d5062a42d862f5">mVertexProgramInUse</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is a vertex program in use somewhere in this group?  <a href="#a0d96bf6fa75da0c123d5062a42d862f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowCaster::ShadowRenderableList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aa69369dadc658e07da2faf9adf5b5e90">mShadowRenderables</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of shadow renderables.  <a href="#aa69369dadc658e07da2faf9adf5b5e90"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>LOD refers to <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> LOD here. <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> LOD can change separately at the next bucket down from this. </dd></dl>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00307">307</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ac1da705bda5533f46474fe7204ca3d4b"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::MaterialBucketMap" ref="ac1da705bda5533f46474fe7204ca3d4b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">MaterialBucket</a>*&gt;::type <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ac1da705bda5533f46474fe7204ca3d4b">Ogre::StaticGeometry::LODBucket::MaterialBucketMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00311">311</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6240319f801ee4f58cacb9ceccd9496b"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::MaterialIterator" ref="a6240319f801ee4f58cacb9ceccd9496b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ac1da705bda5533f46474fe7204ca3d4b">MaterialBucketMap</a>&gt; <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a6240319f801ee4f58cacb9ceccd9496b">Ogre::StaticGeometry::LODBucket::MaterialIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Iterator over the materials in this LOD. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00368">368</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a00df9c6ca5b6a3f21ff63731a543197f"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::LODBucket" ref="a00df9c6ca5b6a3f21ff63731a543197f" args="(Region *parent, unsigned short lod, Real lodValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a00df9c6ca5b6a3f21ff63731a543197f">Ogre::StaticGeometry::LODBucket::LODBucket</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>lod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lodValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0214a1aba4c2f4c14b27ad5ef6a9c559"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::~LODBucket" ref="a0214a1aba4c2f4c14b27ad5ef6a9c559" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a0214a1aba4c2f4c14b27ad5ef6a9c559">Ogre::StaticGeometry::LODBucket::~LODBucket</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6244525eff9b19029642e262a1cee216"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::addRenderables" ref="a6244525eff9b19029642e262a1cee216" args="(RenderQueue *queue, uint8 group, Real lodValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a6244525eff9b19029642e262a1cee216">Ogre::StaticGeometry::LODBucket::addRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td>
          <td class="paramname"><em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lodValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add children to the render queue. </p>

</div>
</div>
<a class="anchor" id="a491d98e5031fc4db2bcb77e9c6aa3460"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::assign" ref="a491d98e5031fc4db2bcb77e9c6aa3460" args="(QueuedSubMesh *qsm, ushort atLod)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a491d98e5031fc4db2bcb77e9c6aa3460">Ogre::StaticGeometry::LODBucket::assign</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *&#160;</td>
          <td class="paramname"><em>qsm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>atLod</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assign a queued submesh to this bucket, using specified mesh LOD. </p>

</div>
</div>
<a class="anchor" id="ab686c556b75f53c03cd554bd90b632c2"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::build" ref="ab686c556b75f53c03cd554bd90b632c2" args="(bool stencilShadows)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ab686c556b75f53c03cd554bd90b632c2">Ogre::StaticGeometry::LODBucket::build</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stencilShadows</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build. </p>

</div>
</div>
<a class="anchor" id="ae19ddefa8cc12cf219b3bb88b56a31f6"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::dump" ref="ae19ddefa8cc12cf219b3bb88b56a31f6" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ae19ddefa8cc12cf219b3bb88b56a31f6">Ogre::StaticGeometry::LODBucket::dump</a> </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&#160;</td>
          <td class="paramname"><em>of</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dump contents for diagnostics. </p>

</div>
</div>
<a class="anchor" id="ab45cd4f193f45a114378adf3359138e3"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getEdgeList" ref="ab45cd4f193f45a114378adf3359138e3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ab45cd4f193f45a114378adf3359138e3">Ogre::StaticGeometry::LODBucket::getEdgeList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00374">374</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba243a0af2f306b9181b573dcb3967a1"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getLod" ref="aba243a0af2f306b9181b573dcb3967a1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aba243a0af2f306b9181b573dcb3967a1">Ogre::StaticGeometry::LODBucket::getLod</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the lod index. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00357">357</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a01b79e06b618e1ee5714ca6adba1b63b"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getLodValue" ref="a01b79e06b618e1ee5714ca6adba1b63b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a01b79e06b618e1ee5714ca6adba1b63b">Ogre::StaticGeometry::LODBucket::getLodValue</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the lod value. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00359">359</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab772c6af3bb6cf79a5f6bb3bb3d84aaa"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getMaterialIterator" ref="ab772c6af3bb6cf79a5f6bb3bb3d84aaa" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a6240319f801ee4f58cacb9ceccd9496b">MaterialIterator</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ab772c6af3bb6cf79a5f6bb3bb3d84aaa">Ogre::StaticGeometry::LODBucket::getMaterialIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the materials in this LOD. </p>

</div>
</div>
<a class="anchor" id="a5d7eea966adea0bb4f256150e124931b"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getParent" ref="a5d7eea966adea0bb4f256150e124931b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a5d7eea966adea0bb4f256150e124931b">Ogre::StaticGeometry::LODBucket::getParent</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00355">355</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8b8a962888427686590d90ff63ee07be"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::getShadowRenderableList" ref="a8b8a962888427686590d90ff63ee07be" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowCaster::ShadowRenderableList</a>&amp; <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a8b8a962888427686590d90ff63ee07be">Ogre::StaticGeometry::LODBucket::getShadowRenderableList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00375">375</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0621be1b35bd74da279dc4a3548d73ea"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::isVertexProgramInUse" ref="a0621be1b35bd74da279dc4a3548d73ea" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a0621be1b35bd74da279dc4a3548d73ea">Ogre::StaticGeometry::LODBucket::isVertexProgramInUse</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00376">376</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaf19418c37e762826a196a255d74933e"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::updateShadowRenderables" ref="aaf19418c37e762826a196a255d74933e" args="(ShadowTechnique shadowTechnique, const Vector4 &amp;lightPos, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDistance, unsigned long flags=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aaf19418c37e762826a196a255d74933e">Ogre::StaticGeometry::LODBucket::updateShadowRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga79dcd426d291c31072c1ad6f183715d6">ShadowTechnique</a>&#160;</td>
          <td class="paramname"><em>shadowTechnique</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>lightPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> *&#160;</td>
          <td class="paramname"><em>indexBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>extrudeVertices</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>extrusionDistance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>flags</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abb4929bf76d5e7a3b70297cf74965aaf"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::visitRenderables" ref="abb4929bf76d5e7a3b70297cf74965aaf" args="(Renderable::Visitor *visitor, bool debugRenderables)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#abb4929bf76d5e7a3b70297cf74965aaf">Ogre::StaticGeometry::LODBucket::visitRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debugRenderables</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a714e97920e3fd74f71fd4386bb130072"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mEdgeList" ref="a714e97920e3fd74f71fd4386bb130072" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a714e97920e3fd74f71fd4386bb130072">Ogre::StaticGeometry::LODBucket::mEdgeList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Edge list, used if stencil shadow casting is enabled. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00347">347</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a67e09710f5418970c58ed89a027a488f"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mLod" ref="a67e09710f5418970c58ed89a027a488f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a67e09710f5418970c58ed89a027a488f">Ogre::StaticGeometry::LODBucket::mLod</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>LOD level (0 == full LOD) </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00339">339</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aadd49d1bdc9d7a193d4064e19338214f"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mLodValue" ref="aadd49d1bdc9d7a193d4064e19338214f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aadd49d1bdc9d7a193d4064e19338214f">Ogre::StaticGeometry::LODBucket::mLodValue</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>lod value at which this LOD starts to apply (squared) </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00341">341</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="af65f1afc96fc9ed08484f19e9ae3f609"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mMaterialBucketMap" ref="af65f1afc96fc9ed08484f19e9ae3f609" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ac1da705bda5533f46474fe7204ca3d4b">MaterialBucketMap</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#af65f1afc96fc9ed08484f19e9ae3f609">Ogre::StaticGeometry::LODBucket::mMaterialBucketMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this region. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00343">343</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a03f9b9248ff57644c60dc0b4682d293c"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mParent" ref="a03f9b9248ff57644c60dc0b4682d293c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a03f9b9248ff57644c60dc0b4682d293c">Ogre::StaticGeometry::LODBucket::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to parent region. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00337">337</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a01726fd1d7aae9f58c14207a9a0d827c"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mQueuedGeometryList" ref="a01726fd1d7aae9f58c14207a9a0d827c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry.html#a99b5977877244a32f98d5156e4f3e8ca">QueuedGeometryList</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a01726fd1d7aae9f58c14207a9a0d827c">Ogre::StaticGeometry::LODBucket::mQueuedGeometryList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Geometry queued for a single LOD (deallocated here) </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00345">345</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa69369dadc658e07da2faf9adf5b5e90"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mShadowRenderables" ref="aa69369dadc658e07da2faf9adf5b5e90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowCaster::ShadowRenderableList</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#aa69369dadc658e07da2faf9adf5b5e90">Ogre::StaticGeometry::LODBucket::mShadowRenderables</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of shadow renderables. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00351">351</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0d96bf6fa75da0c123d5062a42d862f5"></a><!-- doxytag: member="Ogre::StaticGeometry::LODBucket::mVertexProgramInUse" ref="a0d96bf6fa75da0c123d5062a42d862f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#a0d96bf6fa75da0c123d5062a42d862f5">Ogre::StaticGeometry::LODBucket::mVertexProgramInUse</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is a vertex program in use somewhere in this group? </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00349">349</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
